it.reply.healty.innovapuglia.mstaccuino.exception

## Class FaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - it.reply.healty.innovapuglia.mstaccuino.exception.FaultException

- All Implemented Interfaces:
    Serializable

      @WebFault(name="FaultException",
                targetNamespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/iTaccuino")
      public class FaultException
      extends Exception

  Eccezione che viene trasformata in un SOAPFault da CXF
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultException(FaultError error)`
    `FaultException(FaultError error, String detailMessage)`
    `FaultException(FaultError error, String detailMessage, Throwable cause)`
    `FaultException(FaultError error, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FaultDetail` | `getFaultInfo()`
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultException

          public FaultException(FaultError error,
                                String detailMessage,
                                Throwable cause)

      Parameters:
        `error` - l'errore da mostrare al client
        `detailMessage` - il messaggio di dettaglio aggiuntivo
        `cause` - l'eccezione che ha causato il problema

    - #### FaultException

          public FaultException(FaultError error,
                                String detailMessage)

      Parameters:
        `error` - l'errore da mostrare al client
        `detailMessage` - il messaggio di dettaglio aggiuntivo

    - #### FaultException

          public FaultException(FaultError error,
                                Throwable cause)

      Parameters:
        `error` - l'errore da mostrare al client
        `cause` - l'eccezione che ha causato il problema

    - #### FaultException

          public FaultException(FaultError error)

      Parameters:
        `error` - l'errore da mostrare al client

  - ### Method Detail

    - #### getFaultInfo

          public FaultDetail getFaultInfo()

      Returns:
        un `FaultDetail` contenente i dettagli dell'errore applicativo

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 2024. All rights reserved.